// +build !prod

package main

import (
	"flag"
	"net/http"
	"path/filepath"
)

var StaticDir string = "./static/"

func sanitizeStaticOptions() (err error) {
	StaticDir, err = filepath.Abs(StaticDir)
	if err != nil {
		return
	}

	Assets = http.Dir(StaticDir)
	return
}

func init() {
	flag.StringVar(&StaticDir, "static", StaticDir, "Directory containing static files")
}
