package api

import (
	"github.com/gin-gonic/gin"
)

func DeclareRoutes(router *gin.Engine) {
	apiRoutes := router.Group("/api")
	declareCoinsRoutes(apiRoutes)
	declareCountriesRoutes(apiRoutes)
	declareStatsRoutes(apiRoutes)
	declareVersionRoutes(apiRoutes)
	declareYearsRoutes(apiRoutes)
}
